Subject: [RFC] ARM VM System Sepcification

From: [email-masked] (Paolo Bonzini)
Date: Mon, 24 Mar 2014 11:46:13 +0100

Il 24/03/2014 10:57, Robie Basak ha scritto:
>> > After thinking about this a bit more, I think I see what we're actually
>> > discussing.  It's obvious that if software in a VM makes changes to UEFI
>> > variables that are required to be persistent for that VM image to boot
>> > again, then the VM image is no longer portable, as per the spec.
> No longer portable, and given the current state of implementation, no
> longer bootable, since we don't support persistent storage yet;
> certainly not on OpenStack? Or do we have that now?
>
> Are we really pushing ahead with a specification that nobody can
> implement today? How far away are we from a fully compliant
> implementation?

The spec says SHOULD, so I think it's fine.  While support for 
persistent variables in the KVM stack is in the early stages, there is 
request and it is not ARM-specific.  It will be implemented sooner 
rather than later at least at the libvirt level, and I suppose qemu-arm, 
xl, OpenStack/, Virt, XenServer and everything else will follow soon.

Paolo